## rustc 1.70.0+dfsg0ubuntu1~bpo2

=== debian/changelog ===
rustc (1.70.0+dfsg0ubuntu1~bpo2-0ubuntu0.23.04.1) lunar; urgency=medium

  * Backport to Lunar (LP: #2027639)
    - d/patches: Remove libgit2 system patches
    - Use bundled LLVM 16
    - d/p/ubuntu-backport-disable-newer-tests.patch: disable tests that
      can't pass on older series

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 18 Oct 2023 13:56:26 -0600

rustc (1.69.0+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.69.0 (LP: #2025691)
    - d/patches: Refresh patches
  * d/tests: Add a new smoke test for Cargo (originally from Nick Rosbrook)
    - d/tests/control: Removed architecture restriction from the original test

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 15:13:25 +0800

rustc (1.68.2+dfsg0ubuntu1-0ubuntu3) mantic; urgency=medium

  * d/tests: Fix Cargo self-build test
  * d/tests: Add a new Cargo smoke test from Nick Rosbrook
  * d/control: tightened Cargo package version requirement of the rust-all
    package

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 11:21:39 +0800

rustc (1.68.2+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.68.2 (LP: #2025179)
    - Updated bundled GitHub RSA key and revoked the compromised key
  * d/control: Lock the Cargo package version requirement to the rustc version
  * d/tests: Add the previous Cargo smoke tests back

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 20 Jun 2023 16:17:01 -0600

rustc (1.68.0+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.68.0 (LP: #2009920)
    - d/copyright: Update copyright information for new dependencies
      and also remove copyright data for deleted dependencies
    - d/patches: Refresh patches
    - d/control: Update vendored deps field
    - d/control: Refresh vendored dependencies list
  * d/p/ubuntu-rustdoc-replace-cargo-links.patch: Replace Cargo related
    links with external web links instead of the local links to avoid
    link-checker errors (because we package Cargo separately)
  * Merge Cargo source package into Rust (LP: #2020000)
    - d/*: copies Cargo Debian manifests into Rust
    - cargo: add Cargo sources to the source tree
    - d/patches: adapt Cargo-specific patches to the new source tree
      structure
    - d/patches, vendor: remove vendored C sources and prebuilt blobs
    - vendor: vendor Cargo-specific dependencies
    - d/control: update vendored dependency list
    - d/rules: revise openssl source check
    - d/cargo.*: install Cargo-specific files
    - d/config: enable Cargo module in the rustbuild configuration
    - d/patches: remove non-Linux platform modules
    - d/rules: use system libssh2 for Cargo
    - d/patches: restore the usage of rustc-workspace-hack to
      reduce the build time and avoid crates feature resolution failure
    - d/patches: remove patches that patch out Cargo from the docs
    - d/rules, d/cargo.*: build and install Cargo API docs
    - d/control, d/rules: install Cargo bash completions
    - d/copyright: update copyright information
    - d/control: make cargo-doc recommends rust-doc

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 17 May 2023 14:15:17 -0700

rustc (1.67.1+dfsg0ubuntu1-0ubuntu3) lunar; urgency=medium

  * d/p/ubuntu-fix-sysroot-detection.patch: use upstream patch
    for better maintainability

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 03 Mar 2023 18:16:52 -0700
