=== debian/control ===
Source: rustc
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>
Rules-Requires-Root: no
# :native annotations are to support cross-compiling, see README.Debian
Build-Depends:
 debhelper (>= 9),
 debhelper-compat (= 13),
 dh-cargo (>= 28ubuntu1~),
 dpkg-dev (>= 1.17.14),
 python3:native,
 cargo:native (>= 1.69.0+dfsg) <!pkg.rustc.dlstage0>,
 rustc:native (>= 1.69.0+dfsg) <!pkg.rustc.dlstage0>,
 rustc:native (<= 1.70.0++)    <!pkg.rustc.dlstage0>,
 cmake (>= 3.0) | cmake3,
# needed by some vendor crates
 pkg-config,
# this is sometimes needed by rustc_llvm
 zlib1g-dev:native,
 zlib1g-dev,
# used by rust-installer
 liblzma-dev:native,
# used by cargo
 bash-completion,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
# Required for llvm build
 autotools-dev,
 m4,
 ninja-build,
# test dependencies:
 binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
 git <!nocheck>,
 procps <!nocheck>,
# Resources loaded from the docs, checked by linkchecker
 libjs-jquery <!nocheck>,
 libjs-highlight.js <!nocheck>,
 libjs-mathjax <!nocheck>,
 fonts-open-sans <!nocheck>,
 fonts-font-awesome <!nocheck>,
 fonts-nanum <!nocheck>,
# below are optional tools even for 'make check'
 gdb (>= 7.12) <!nocheck>,
 libc6-dbg [armhf],
# Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
 curl <pkg.rustc.dlstage0>,
 ca-certificates <pkg.rustc.dlstage0>,
Build-Depends-Indep:
 libssl-dev,
Build-Conflicts: gdb-minimal (<< 8.1-0ubuntu6) <!nocheck>
Standards-Version: 4.2.1
Homepage: http://www.rust-lang.org/
Vcs-Git: https://salsa.debian.org/rust-team/rust.git
Vcs-Browser: https://salsa.debian.org/rust-team/rust
XS-Vendored-Sources-Rust: addr2line@0.17.0, addr2line@0.19.0, adler@1.0.2, ahash@0.7.6, ahash@0.8.2, aho-corasick@0.7.18, always-assert@0.1.2, ammonia@3.2.0, annotate-snippets@0.9.1, anstream@0.2.6, anstyle-parse@0.1.1, anstyle-wincon@0.2.0, anstyle@0.3.5, anyhow@1.0.68, ar_archive_writer@0.1.3, arc-swap@1.6.0, array_tool@1.0.3, arrayvec@0.5.2, arrayvec@0.7.2, askama@0.12.0, askama_derive@0.12.1, askama_escape@0.10.3, atty@0.2.14, autocfg@1.1.0, backtrace@0.3.67, base16ct@0.1.1, base64@0.21.0, base64ct@1.5.3, basic-toml@0.1.2, bitflags@1.3.2, bitmaps@2.1.0, block-buffer@0.10.2, bstr@0.2.17, bstr@1.3.0, btoi@0.4.3, bumpalo@3.11.1, bytecount@0.6.2, byteorder@1.4.3, bytes@1.0.1, bytesize@1.0.1, camino@1.1.2, cargo-platform@0.1.2, cargo_metadata@0.14.0, cargo_metadata@0.15.3, cc@1.0.78, cfg-if@1.0.0, chalk-derive@0.87.0, chalk-engine@0.87.0, chalk-ir@0.87.0, chalk-solve@0.87.0, chrono@0.4.19, clap@3.2.20, clap@4.2.1, clap_builder@4.2.1, clap_complete@4.0.7, clap_derive@3.2.18, clap_derive@4.2.0, clap_lex@0.2.2, clap_lex@0.4.1, clru@0.6.1, cmake@0.1.48, colored@2.0.0, compiler_builtins@0.1.91, compiletest_rs@0.9.0, concolor-override@1.0.0, concolor-query@0.1.0, concolor-query@0.3.3, concolor@0.0.9, const-oid@0.9.1, content_inspector@0.2.4, convert_case@0.4.0, core-foundation-sys@0.8.3, core-foundation@0.9.0, countme@3.0.1, cov-mark@2.0.0-pre.1, cpufeatures@0.2.5, crc32fast@1.3.2, crossbeam-channel@0.5.6, crossbeam-deque@0.8.2, crossbeam-epoch@0.9.13, crossbeam-utils@0.8.14, crypto-bigint@0.4.9, crypto-common@0.1.6, cstr@0.2.8, ct-codecs@1.1.1, ctor@0.1.26, curl-sys@0.4.61+curl-8.0.1, curl@0.4.44, dashmap@5.4.0, datafrog@2.0.1, der@0.6.1, derive-new@0.5.8, derive_more@0.99.17, diff@0.1.13, digest@0.10.6, dirs-next@2.0.0, dirs-sys-next@0.1.2, dirs-sys@0.3.6, dirs@4.0.0, displaydoc@0.2.3, dissimilar@1.0.6, dlmalloc@0.2.3, drop_bomb@0.1.5, dunce@1.0.3, ecdsa@0.14.8, ed25519-compact@2.0.4, either@1.8.0, elasticlunr-rs@3.0.0, elliptic-curve@0.12.3, elsa@1.7.1, ena@0.14.2, env_logger@0.10.0, env_logger@0.7.1, env_logger@0.9.0, errno-dragonfly@0.1.2, errno@0.2.8, errno@0.3.0, expect-test@1.4.0, fallible-iterator@0.2.0, fastrand@1.8.0, fd-lock@3.0.11, ff@0.12.1, fiat-crypto@0.1.17, filetime@0.2.20, fixedbitset@0.2.0, flate2@1.0.23, flate2@1.0.25, fluent-bundle@0.15.2, fluent-langneg@0.13.0, fluent-syntax@0.11.0, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, form_urlencoded@1.1.0, fortanix-sgx-abi@0.5.0, fs-err@2.8.1, futf@0.1.5, futures-channel@0.3.28, futures-core@0.3.28, futures-executor@0.3.28, futures-io@0.3.28, futures-macro@0.3.28, futures-sink@0.3.28, futures-task@0.3.28, futures-util@0.3.28, futures@0.3.28, fwdansi@1.1.0, generic-array@0.14.5, getopts@0.2.21, getrandom@0.2.8, gimli@0.26.2, gimli@0.27.0, git2-curl@0.18.0, git2@0.17.0, gix-actor@0.19.0, gix-attributes@0.10.0, gix-bitmap@0.2.2, gix-chunk@0.4.1, gix-command@0.2.4, gix-config-value@0.10.1, gix-config@0.18.0, gix-credentials@0.11.0, gix-date@0.4.3, gix-diff@0.28.0, gix-discover@0.15.0, gix-features@0.28.0, gix-glob@0.5.5, gix-hash@0.10.3, gix-hashtable@0.1.2, gix-index@0.14.0, gix-lock@4.0.0, gix-mailmap@0.11.0, gix-object@0.28.0, gix-odb@0.42.0, gix-pack@0.32.0, gix-packetline@0.14.3, gix-path@0.7.2, gix-prompt@0.3.2, gix-protocol@0.28.0, gix-quote@0.4.3, gix-ref@0.26.0, gix-refspec@0.9.0, gix-revision@0.12.0, gix-sec@0.6.2, gix-tempfile@4.1.1, gix-transport@0.27.0, gix-traverse@0.24.0, gix-url@0.15.0, gix-validate@0.7.3, gix-worktree@0.14.0, gix@0.39.0, glob@0.3.0, globset@0.4.9, group@0.12.1, gsgdt@0.1.2, handlebars@3.5.5, handlebars@4.3.3, hashbrown@0.12.3, hashbrown@0.13.1, heck@0.4.0, hermit-abi@0.1.19, hermit-abi@0.2.6, hermit-abi@0.3.1, hex@0.4.3, hkdf@0.12.3, hmac@0.12.1, home@0.5.4, html5ever@0.26.0, http-auth@0.1.6, humantime@1.3.0, humantime@2.0.1, icu_list@1.1.0, icu_locid@1.1.0, icu_provider@1.1.0, icu_provider_adapters@1.1.0, icu_provider_macros@1.1.0, idna@0.3.0, if_chain@1.0.0, ignore@0.4.18, im-rc@15.1.0, imara-diff@0.1.5, indexmap@1.9.3, indoc@1.0.6, instant@0.1.12, intl-memoizer@0.5.1, intl_pluralrules@7.0.2, io-close@0.3.7, io-lifetimes@1.0.9, is-terminal@0.4.6, itertools@0.10.5, itoa@1.0.6, jobserver@0.1.26, js-sys@0.3.60, jsonpath_lib@0.2.6, junction@1.0.0, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.140, libgit2-sys@0.15.0+1.6.3, libloading@0.7.4, libm@0.1.4, libssh2-sys@0.3.0, libz-sys@1.1.3, linux-raw-sys@0.1.4, linux-raw-sys@0.3.1, litemap@0.6.1, lock_api@0.4.9, log@0.4.17, lsp-types@0.94.0, lzma-sys@0.1.17, mac@0.1.1, maplit@1.0.2, markup5ever@0.11.0, matchers@0.1.0, maybe-async@0.2.7, md-5@0.10.0, mdbook@0.4.28, measureme@10.1.0, memchr@2.5.0, memmap2@0.2.1, memmap2@0.5.10, memoffset@0.6.5, memoffset@0.7.1, mime@0.3.16, mime_guess@2.0.4, minifier@0.2.2, minimal-lexical@0.2.1, miniz_oxide@0.5.3, miniz_oxide@0.6.2, miow@0.3.7, miow@0.5.0, new_debug_unreachable@1.0.4, nix@0.26.2, nom8@0.2.0, nom@7.1.0, normalize-line-endings@0.3.0, ntapi@0.4.0, nu-ansi-term@0.46.0, num-integer@0.1.43, num-traits@0.2.12, num_cpus@1.15.0, num_threads@0.1.6, object@0.29.0, object@0.30.2, odht@0.3.1, once_cell@1.17.1, opener@0.5.0, openssl-macros@0.1.1, openssl-probe@0.1.5, openssl-sys@0.9.84, openssl@0.10.49, ordered-float@2.10.0, orion@0.17.3, os_info@3.5.0, os_str_bytes@6.0.0, output_vt100@0.1.3, overload@0.1.1, p384@0.11.2, packed_simd_2@0.3.8, parking_lot@0.11.2, parking_lot@0.12.1, parking_lot_core@0.8.6, parking_lot_core@0.9.6, pasetors@0.6.5, pathdiff@0.2.1, pem-rfc7468@0.6.0, percent-encoding@2.2.0, perf-event-open-sys@1.0.1, perf-event@0.4.7, pest@2.5.2, pest_derive@2.5.2, pest_generator@2.5.2, pest_meta@2.5.2, petgraph@0.5.1, phf@0.10.1, phf_codegen@0.10.0, phf_generator@0.10.0, phf_shared@0.10.0, pin-project-lite@0.2.9, pin-utils@0.1.0, pkcs8@0.9.0, pkg-config@0.3.25, polonius-engine@0.13.0, ppv-lite86@0.2.8, precomputed-hash@0.1.1, pretty_assertions@1.3.0, pretty_env_logger@0.4.0, proc-macro-error-attr@1.0.4, proc-macro-error@1.0.4, proc-macro-hack@0.5.19, proc-macro2@1.0.53, prodash@23.1.1, psm@0.1.21, pulldown-cmark@0.9.2, punycode@0.4.1, quick-error@1.2.3, quick-error@2.0.1, quine-mc_cluskey@0.2.4, quote@1.0.26, rand@0.8.5, rand_chacha@0.3.0, rand_core@0.6.4, rand_xorshift@0.3.0, rand_xoshiro@0.6.0, rayon-core@1.10.1, rayon@1.6.1, redox_syscall@0.2.16, redox_users@0.4.0, regex-automata@0.1.10, regex-automata@0.2.0, regex-syntax@0.6.28, regex@1.7.1, remove_dir_all@0.5.3, rfc6979@0.3.1, rowan@0.15.10, rustc-ap-rustc_lexer@727.0.0, rustc-demangle@0.1.21, rustc-hash@1.1.0, rustc-rayon-core@0.5.0, rustc-rayon@0.5.0, rustc-semver@1.1.0, rustc_tools_util@0.3.0, rustc_version@0.4.0, rustfix@0.6.1, rustix@0.36.5, rustix@0.37.6, rustversion@1.0.5, ryu@1.0.12, same-file@1.0.6, schannel@0.1.19, scoped-tls@1.0.1, scopeguard@1.1.0, sec1@0.3.0, self_cell@0.10.2, semver@1.0.16, serde-value@0.7.0, serde@1.0.159, serde_derive@1.0.159, serde_ignored@0.1.2, serde_json@1.0.91, serde_repr@0.1.10, serde_spanned@0.6.1, sha1@0.10.5, sha1_smol@1.0.0, sha2@0.10.6, sharded-slab@0.1.4, shell-escape@0.1.5, shlex@1.0.0, signal-hook-registry@1.4.1, signal-hook@0.3.15, signature@1.6.4, similar@2.1.0, siphasher@0.3.3, sized-chunks@0.6.4, slab@0.4.2, smallvec@1.10.0, smol_str@0.1.23, snap@1.1.0, snapbox-macros@0.3.0, snapbox@0.4.1, socket2@0.4.1, spdx-expression@0.5.2, spdx-rs@0.5.1, spki@0.6.0, stable_deref_trait@1.2.0, stacker@0.1.15, static_assertions@1.1.0, string_cache@0.8.3, string_cache_codegen@0.5.2, strip-ansi-escapes@0.1.1, strsim@0.10.0, strum@0.24.1, strum_macros@0.24.3, subtle@2.4.1, syn@1.0.107, syn@2.0.8, synstructure@0.12.6, synstructure@0.13.0, sysinfo@0.26.7, tar@0.4.38, tempfile@3.3.0, tendril@0.4.3, term@0.7.0, termcolor@1.2.0, terminal_size@0.2.3, termize@0.1.1, tester@0.9.0, text-size@1.1.0, textwrap@0.15.0, thin-vec@0.2.12, thiserror-impl@1.0.38, thiserror@1.0.38, thorin-dwp@0.4.0, thread_local@1.1.4, threadpool@1.8.1, time-core@0.1.0, time-macros@0.2.6, time@0.1.43, time@0.3.17, tinystr@0.7.1, tinyvec@1.6.0, tinyvec_macros@0.1.0, tokio@1.8.4, toml@0.5.9, toml@0.7.2, toml_datetime@0.6.1, toml_edit@0.19.3, topological-sort@0.2.2, tracing-attributes@0.1.23, tracing-core@0.1.30, tracing-log@0.1.3, tracing-subscriber@0.3.16, tracing-tree@0.2.2, tracing@0.1.37, twox-hash@1.6.3, type-map@0.4.0, typenum@1.16.0, ucd-parse@0.1.8, ucd-trie@0.1.5, ungrammar@1.16.1, unic-char-property@0.9.0, unic-char-range@0.9.0, unic-common@0.9.0, unic-emoji-char@0.9.0, unic-langid-impl@0.9.1, unic-langid-macros-impl@0.9.1, unic-langid-macros@0.9.1, unic-langid@0.9.1, unic-ucd-version@0.9.0, unicase@2.6.0, unicode-bidi@0.3.10, unicode-bom@1.1.4, unicode-ident@1.0.6, unicode-normalization@0.1.22, unicode-script@0.5.5, unicode-security@0.1.0, unicode-segmentation@1.10.0, unicode-width@0.1.10, unicode-xid@0.2.4, unicode_categories@0.1.1, unified-diff@0.2.1, url@2.3.1, utf-8@0.7.5, utf8parse@0.2.1, uuid@0.8.2, valuable@0.1.0, vcpkg@0.2.10, version_check@0.9.4, vte@0.10.1, vte_generate_state_changes@0.1.1, walkdir@2.3.2, wasi@0.11.0+wasi-snapshot-preview1, wasm-bindgen-backend@0.2.83, wasm-bindgen-macro-support@0.2.83, wasm-bindgen-macro@0.2.83, wasm-bindgen-shared@0.2.83, wasm-bindgen@0.2.83, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-sys@0.42.0, windows-sys@0.45.0, windows-targets@0.42.2, windows@0.43.0, windows@0.46.0, windows_aarch64_gnullvm@0.42.2, windows_aarch64_msvc@0.42.2, windows_i686_gnu@0.42.2, windows_i686_msvc@0.42.2, windows_x86_64_gnu@0.42.2, windows_x86_64_gnullvm@0.42.2, windows_x86_64_msvc@0.42.2, write-json@0.1.2, writeable@0.5.1, xattr@0.2.3, xflags-macros@0.3.1, xflags@0.3.1, xshell-macros@0.2.3, xshell@0.2.3, xz2@0.1.6, yansi-term@0.1.2, yansi@0.5.1, yoke-derive@0.7.0, yoke@0.7.0, zerofrom-derive@0.1.1, zerofrom@0.1.1, zeroize@1.5.7, zerovec-derive@0.9.3, zerovec@0.9.2, zip@0.6.4

Package: rustc
Architecture: any
Multi-Arch: allowed
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-dev (= ${binary:Version}),
 gcc, libc-dev, binutils (>= 2.26)
Suggests:
# lld and clang are needed for wasm compilation
